summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/ipheth-pair/README5
-rw-r--r--system/ipheth-pair/README.SLACKWARE6
-rw-r--r--system/ipheth-pair/ipheth-pair.SlackBuild81
-rw-r--r--system/ipheth-pair/ipheth-pair.info10
-rw-r--r--system/ipheth-pair/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/system/ipheth-pair/README b/system/ipheth-pair/README
new file mode 100644
index 0000000000..2277a39af8
--- /dev/null
+++ b/system/ipheth-pair/README
@@ -0,0 +1,5 @@
+The original pairing program shipped with the iPhone USB Ethernet Driver. You
+could also use idevicepair instead, which is shipped with latest
+libimobiledevice releases.
+
+This package requires libimobiledevice.
diff --git a/system/ipheth-pair/README.SLACKWARE b/system/ipheth-pair/README.SLACKWARE
new file mode 100644
index 0000000000..18c1383867
--- /dev/null
+++ b/system/ipheth-pair/README.SLACKWARE
@@ -0,0 +1,6 @@
+This is the original pairing program shipped with the iPhone USB Ethernet
+Driver. You could also use idevicepair instead, which is shipped with latest
+libimobiledevice releases. To do so, you have to modify the modprobe
+configuration file /etc/modprobe.d/ipheth.conf shipped with ipheth-driver
+(take a look in its doc folder) and the udev rules file
+/etc/udev/rules.d/90-iphone-tether.rules shipped with this program.
diff --git a/system/ipheth-pair/ipheth-pair.SlackBuild b/system/ipheth-pair/ipheth-pair.SlackBuild
new file mode 100644
index 0000000000..157e291740
--- /dev/null
+++ b/system/ipheth-pair/ipheth-pair.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for ipheth-pair.
+#
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ipheth-pair
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="$CWD/README.SLACKWARE"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/lib/udev
+install -m 0755 ipheth-pair $PKG/lib/udev/
+mkdir -p $PKG/lib/udev/rules.d
+install -m 0644 90-iphone-tether.rules $PKG/libetc/udev/rules.d/
+
+# A bit overkill for just a single executable :-P
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ipheth-pair/ipheth-pair.info b/system/ipheth-pair/ipheth-pair.info
new file mode 100644
index 0000000000..fe045b4c22
--- /dev/null
+++ b/system/ipheth-pair/ipheth-pair.info
@@ -0,0 +1,10 @@
+PRGNAM="ipheth-pair"
+VERSION="1.0"
+HOMEPAGE="http://giagio.com/wiki/moin.cgi/iPhoneEthernetDriver"
+DOWNLOAD="http://slackbuilds.org/sources/13.1/ipheth-pair-1.0.tar.bz2"
+MD5SUM="9fd0cc977f3615811755e364937d01b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/system/ipheth-pair/slack-desc b/system/ipheth-pair/slack-desc
new file mode 100644
index 0000000000..3e02d5e2ba
--- /dev/null
+++ b/system/ipheth-pair/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ipheth-pair: ipheth-pair (iPhone USB Ethernet Driver Pairing Program)
+ipheth-pair:
+ipheth-pair: The original pairing program shipped with the iPhone USB Ethernet
+ipheth-pair: Driver.
+ipheth-pair:
+ipheth-pair: http://giagio.com/wiki/moin.cgi/iPhoneEthernetDriver
+ipheth-pair:
+ipheth-pair:
+ipheth-pair:
+ipheth-pair:
+ipheth-pair: